<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number11</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.11:</b>Write a JavaScript program to convert temperatures to and from Celsius, Fahrenheit. <br></p>
	<pre> <b>Formula:</b><br>
	[ Formula : c/5 = (f-32)/9 [ where c = temperature in Celsius and f = temperature in Fahrenheit ]</pre>
	
	<p><b>Expected Output : </b><br>
60°C is 140 °F <br>
45°F is 7.222222222222222°C </p>
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px solid rgba(0,39,75,1.00); width: 300px; background-color:aquamarine"> 
	<input style=" margin: 10px" type="number" id="first" placeholder="Temp in C or F"> <br>
	
	
		<input type="button" onClick="toFarenheit()" style=" margin: 10px " value="I Entered Celcius Want To See in Farenheit">
		<input type="button" onClick="toCelcius()" style=" margin: 10px " value="I Entered Farenheit Want To See in Celcius">
	       <p id="demo1" style="margin-left: 10px"></p>
		</div>
		<script>
		function toFarenheit() {
		var a = document.getElementById('first').value;
		var b = Math.ceil((a/5)*9)+32 ;
		document.getElementById('demo1').innerHTML= a + "°Celcius is " + b + "°Farenheit." ;
	}
			
			function toCelcius() {
		var a = document.getElementById('first').value;
		var b = Math.ceil(5*(a-32)/9);
		document.getElementById('demo1').innerHTML= a + "°Farenheit is " + b + "°Celcius." ;
	}
			
		</script>
	
</body>
</html>
